//---------------------------------------------------------------------------

#ifndef CalcH
#define CalcH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <DBGrids.hpp>
#include <Grids.hpp>
#include <ExtCtrls.hpp>
#include <DB.hpp>
#include <DBTables.hpp>
#include <ValEdit.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TCalForm : public TForm
{
__published:	// IDE-managed Components
        TStringGrid *SellGR;
        TLabeledEdit *TotalED;
        TLabeledEdit *RemainED;
        TDataSource *DataSource1;
        TQuery *Query1;
        TLabeledEdit *GetED;
        TTimer *Timer1;
        TLabeledEdit *IbEdit;
        TPanel *Panel1;
        TPanel *Panel2;
        TPanel *Panel3;
        TPanel *Panel4;
        TPanel *Panel7;
        TButton *ShBt;
        TDateTimePicker *DTPick;
        TStringGrid *SaleList;
        TButton *EscBt;
        TStringGrid *BoryuSG;
        TListBox *ListBox1;
        TLabel *TimeLB;
        TRadioGroup *YungSu;
        TLabel *TimeLB2;
        TLabel *imeLabel;
        void __fastcall SellGRKeyPress(TObject *Sender, char &Key);
        void __fastcall SellGRKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall GetEDKeyPress(TObject *Sender, char &Key);
        void __fastcall GetEDChange(TObject *Sender);
        void __fastcall Timer1Timer(TObject *Sender);
        void __fastcall GetEDKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall IbEditKeyPress(TObject *Sender, char &Key);
        void __fastcall IbEditKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall FormActivate(TObject *Sender);
        void __fastcall ShBtClick(TObject *Sender);
        void __fastcall SaleListKeyPress(TObject *Sender, char &Key);
        void __fastcall SaleListKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall EscBtClick(TObject *Sender);
        void __fastcall BoryuSGKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall BoryuSGKeyPress(TObject *Sender, char &Key);
        void __fastcall SaleListDblClick(TObject *Sender);
        void __fastcall BoryuSGDblClick(TObject *Sender);
        void __fastcall ListBox1KeyPress(TObject *Sender, char &Key);
        void __fastcall DTPickKeyPress(TObject *Sender, char &Key);
        void __fastcall ShBtKeyPress(TObject *Sender, char &Key);
        void __fastcall EscBtKeyPress(TObject *Sender, char &Key);
        void __fastcall RemainEDChange(TObject *Sender);
        void __fastcall TotalEDChange(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TCalForm(TComponent* Owner);
        bool DBSelect(String str);
        void CellClear();
        void YungSuOpen(String SangHo);
        void CashOpen();
        bool SaleSearch(String dt);
        void CellClear2();
        void BoryuSearch();
        void BoryuEnt();
        void SavePoint(bool sp,String op);
        void CalEnd();
        void SaveAsOpt(String op);
        void SangPoom(String ba);
        
};
//---------------------------------------------------------------------------
extern PACKAGE TCalForm *CalForm;
//---------------------------------------------------------------------------
#endif
